Debian Bug report logs - #675365
chef: unowned directory after purge: /var/lib/chef/cookbook_index/

version graph

Package: chef; Maintainer for chef is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>; Source for chef is src:chef.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Thu, 31 May 2012 15:33:01 UTC

Severity: important

Found in versions chef/10.12.0-3, chef/0.10.10-1, chef/0.10.10-2, chef/10.12.0-2, chef/10.12.0-1

Fixed in version chef/11.8.2-1

Done: Stefano Rivera <stefanor@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#675365; Package chef. (Thu, 31 May 2012 15:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Thu, 31 May 2012 15:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chef: unowned directory after purge: /var/lib/chef/cookbook_index/
Date: Thu, 31 May 2012 17:28:39 +0200
[Message part 1 (text/plain, inline)]
Package: chef
Version: 0.10.10-1
Severity: important
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package left unowned
directories on the system after purge, which is a violation of
policy 6.8:

http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-removedetails

Filing this as important as having a piuparts clean archive is a release
goal since lenny.

If the package would ship this as an empty directory, dpkg would take
care of the creation and removal.

>From the attached log (scroll to the bottom...):

0m40.5s ERROR: FAIL: Package purging left files on system:
  /var/lib/chef/	 not owned
  /var/lib/chef/cookbook_index/	 not owned


cheers,

Andreas
[chef_0.10.10-1.log.gz (application/x-gzip, attachment)]

Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Wed, 06 Jun 2012 05:33:07 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Wed, 06 Jun 2012 05:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 675365-close@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@debian.org>
To: 675365-close@bugs.debian.org
Subject: Bug#675365: fixed in chef 0.10.10-2
Date: Wed, 06 Jun 2012 05:32:26 +0000
Source: chef
Source-Version: 0.10.10-2

We believe that the bug you reported is fixed in the latest version of
chef, which is due to be installed in the Debian FTP archive:

chef_0.10.10-2.debian.tar.gz
  to main/c/chef/chef_0.10.10-2.debian.tar.gz
chef_0.10.10-2.dsc
  to main/c/chef/chef_0.10.10-2.dsc
chef_0.10.10-2_all.deb
  to main/c/chef/chef_0.10.10-2_all.deb
libchef-ruby1.8_0.10.10-2_all.deb
  to main/c/chef/libchef-ruby1.8_0.10.10-2_all.deb
libchef-ruby_0.10.10-2_all.deb
  to main/c/chef/libchef-ruby_0.10.10-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675365@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tollef Fog Heen <tfheen@debian.org> (supplier of updated chef package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Jun 2012 17:56:30 +0200
Source: chef
Binary: chef libchef-ruby libchef-ruby1.8
Architecture: source all
Version: 0.10.10-2
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Tollef Fog Heen <tfheen@debian.org>
Description: 
 chef       - A systems integration framework, built to bring the benefits of c
 libchef-ruby - Transitional package for chef
 libchef-ruby1.8 - Transitional package for chef
Closes: 663430 670166 675365 675370
Changes: 
 chef (0.10.10-2) unstable; urgency=low
 .
   * Make conflicts/replaces on old packages be versioned.  Closes: #675370
   * Remove /var/lib/chef/cookbook_index on package removal.  Closes: #675365
   * Build-depend on po-debconf, incorporate translated templates.
   * Add Italian debconf translation.  Closes: #663430
   * Add Dutch debconf translation. Closes: #670166
Checksums-Sha1: 
 c747dd7b1433ee245d72d40afeabcae2d9151966 2097 chef_0.10.10-2.dsc
 0237e698dd600d270fd7a30254f3a96aa65a4b9c 22743 chef_0.10.10-2.debian.tar.gz
 b3cd4e80695a4305e69e4659bff9a16810efe5e7 385228 chef_0.10.10-2_all.deb
 1b20b4e23af88c736f7eebfa7ef86dabe760aca2 17168 libchef-ruby_0.10.10-2_all.deb
 c31125aec76ea1e9c64f548202030eac92286e98 17172 libchef-ruby1.8_0.10.10-2_all.deb
Checksums-Sha256: 
 a93b1344e7f326fbbdcdca4c2ca76a8cdad4c7045185f206e8db634a43e1cf3a 2097 chef_0.10.10-2.dsc
 00aeaae8024dec5c7ef0fe5f545a7a34044d2afb8d7e92fd571f634bd9868570 22743 chef_0.10.10-2.debian.tar.gz
 e3486c241c4eae87712ad02d71331c1885e92baafc953ebdac03232ed40ed064 385228 chef_0.10.10-2_all.deb
 24b8f49692447d1bbc69c1f44357a5abbabdb725e4bee9ca96479616350647ca 17168 libchef-ruby_0.10.10-2_all.deb
 8bda7e4c176fbe73e8c3512644dc3a7fac39b8d7733d5efc23dea8105ec85802 17172 libchef-ruby1.8_0.10.10-2_all.deb
Files: 
 7fc9fe53179595c6daebceec909401d2 2097 ruby optional chef_0.10.10-2.dsc
 f76ee6a89fa434cdde1a3eb0063a7d0f 22743 ruby optional chef_0.10.10-2.debian.tar.gz
 aa32538c1b77ef276020699795718e92 385228 ruby optional chef_0.10.10-2_all.deb
 0602edc3c61afc27d2101f5f39920d13 17168 oldlibs optional libchef-ruby_0.10.10-2_all.deb
 23bc60ea2bd044ab61f699b3ac064395 17172 oldlibs optional libchef-ruby1.8_0.10.10-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPzuisAAoJELZaSHHKGdcXhR4P/2C+uGicPZ1G7xAhn4R5YxbF
sVZCxr4SvwMPNslaObhbCj+E0LCYD97iSnUXVsfSZAnMTFSV16/zcTiLuwCRB329
GPySwI7cSeatyhdLPAMC5AVnrikKOD362UPmG8XHnCnF7llvV0SGpPoeQsZLDCd5
R1heqQF7eM75kYdku/R6nFa1m8k9td7GHOH/6+/ewfRSlkIeac7MtCBhsTr/9MMI
cQX2SNzN1cxvTYjYqAFVKxK50rBCZMZuRJ4/FGz5TzRygKAXDj2yKo6LLNjxuO90
sR5J68DZSqwvssVTiQSZ76fWriu46RdhR7xjtdL+1hxHMoKd/6n6mm6/rlRt9D17
YxsMWX/g3TwcrZ/dq934RkQQBupWwdby7CPS36XypXA5otVwc6FdgdbPLI33flmA
QA7QaQ2XF8d//ARfvWJX5e3FUwmGSpSrru5QuQfsouXdnEAdTxDNA2KukWwvJpbZ
3bOevxSv2J3UvnEqlmSRRMdF1vZRlqGuVaMr9f646/awJsu775VTY0iJ13UoiUoP
vaTlcgOVesQv2gvLOGk4/lDCYv/AZg0wN5JZtwIMbTA5t9lY+9HKNm/eAcnZsKfP
0TK4pVnB8CFr8kdPEj1GT9O6grUgIiWY5Fkn/SX++gCP8IIMo3fxTny8LBNAJ1DA
uxROAMn85jlzUjhiDQyE
=eZZA
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#675365; Package chef. (Thu, 07 Jun 2012 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Thu, 07 Jun 2012 04:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 675365@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <675365@bugs.debian.org>
Subject: Re: chef: unowned directory after purge: /var/lib/chef/
Date: Thu, 07 Jun 2012 06:23:53 +0200
[Message part 1 (text/plain, inline)]
Package: chef
Version: 0.10.10-2
Followup-For: Bug #675365

Hi,

/var/lib/chef/ is still there ...

0m42.0s ERROR: FAIL: Package purging left files on system:
  /var/lib/chef/	 not owned
 

Andreas
[chef_0.10.10-2.log.gz (application/x-gzip, attachment)]

Bug reopened Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 07 Jun 2012 05:33:09 GMT) Full text and rfc822 format available.

Marked as found in versions chef/10.12.0-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 30 Jun 2012 21:36:14 GMT) Full text and rfc822 format available.

Marked as found in versions chef/10.12.0-2. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 07 Aug 2012 08:39:03 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:28:28 GMT) Full text and rfc822 format available.

Marked as found in versions chef/10.12.0-3. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 02 Mar 2013 10:03:06 GMT) Full text and rfc822 format available.

Reply sent to Stefano Rivera <stefanor@debian.org>:
You have taken responsibility. (Thu, 16 Jan 2014 13:06:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Thu, 16 Jan 2014 13:06:05 GMT) Full text and rfc822 format available.

Message #30 received at 675365-close@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefanor@debian.org>
To: 675365-close@bugs.debian.org
Subject: Bug#675365: fixed in chef 11.8.2-1
Date: Thu, 16 Jan 2014 13:03:23 +0000
Source: chef
Source-Version: 11.8.2-1

We believe that the bug you reported is fixed in the latest version of
chef, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675365@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefano Rivera <stefanor@debian.org> (supplier of updated chef package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 16 Jan 2014 14:38:20 +0200
Source: chef
Binary: chef
Architecture: source all
Version: 11.8.2-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Stefano Rivera <stefanor@debian.org>
Description: 
 chef       - clients for the chef systems integration framework
Closes: 675365 677827 705657 707079
Changes: 
 chef (11.8.2-1) unstable; urgency=medium
 .
   * Team upload.
   * New upstream version (Closes: #707079)
   * Dropped patch json_create_CVE-2013-0269_workaround - superseded upstream.
   * Drop transitional libchef-ruby packages. They were only needed in wheezy.
   * Update dependencies from metadata.yml.
     - Except mime-types, puma, and pry that don't appear to be used.
   * Update and simplify debian/copyright. Group copyright holders by license.
   * Clean init script that we copy into debian dir, during build.
   * Bump Standards-Version to 3.9.5.
     - Bump debhelper dependency to 8.1 for build-{arch,indep} support.
   * Update po files, and include debian/po/templates.pot.
   * Remove /var/lib/chef if empty, on uninstall (Closes: #675365)
   * Look for the correct process name when checking status in the init script
     (Closes: #677827)
   * Shorten short description. (Closes: #705657)
Checksums-Sha1: 
 f6b88230e956b7aad277571afc88d3e1059560d1 1978 chef_11.8.2-1.dsc
 a5d42ecfde29abaa72b9da048d8bd267ac6d6885 1069293 chef_11.8.2.orig.tar.gz
 0f882789424d30f19ff1e5217c5746aa05825eef 21164 chef_11.8.2-1.debian.tar.xz
 f5afa7f50f441cf71ceeb8c766d46e5b73f7d6f8 460604 chef_11.8.2-1_all.deb
Checksums-Sha256: 
 0c1e4198cb312c8ef7386639cec311b3e0255450d2508d9854ce4956df1f9a4e 1978 chef_11.8.2-1.dsc
 2f58debd6a7baa3faf0b47a44434a7fde02cee77b6053af9ece78c648d1a4e37 1069293 chef_11.8.2.orig.tar.gz
 833f925b08bc866c9bc0fcbd70605330399ea02e45614e83b051e1da71218e31 21164 chef_11.8.2-1.debian.tar.xz
 71a20b42b1c6821cd481f527dd27a9a32592f8b6e40157e33c0009382e966fca 460604 chef_11.8.2-1_all.deb
Files: 
 66683b6f73b6e1cd8a387a61481c9def 1978 ruby optional chef_11.8.2-1.dsc
 d8974ed914733d67b2f6f1c27e0589c1 1069293 ruby optional chef_11.8.2.orig.tar.gz
 66c27f429980dd0324774b86d2e7953f 21164 ruby optional chef_11.8.2-1.debian.tar.xz
 3f46ce1047c5a58cbe18ddee38999b3d 460604 ruby optional chef_11.8.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCgAGBQJS19TGAAoJEACQ/CG1zRrMMdUP/2rPq0QvonEW630A0kBTHmrb
BLki+DS4jrRhJGE3wGoKbYewQvpHpAbBcV0jCdS6fTqo0D3xgxTS67cBGG2RvBQu
BSgKEWtg1hm0GKHPtGYjjr2yDSMf0cp0ApS2u65G6kgW0QljvPmcw20H0A7fm5B2
Y3siJubx74oYPjiiGKb9ASA+ZR/lDrgHy7tFhHnLyix7t8i4uoDXa5FWH0UVh27a
z98JSF9yPu6Qbp/Ulr3f3yhREHBDucLLdhibo8w13sPY2bHyPa9w7KAcdb6sj+ch
84d9++GbbCeSidi8cI+Zw5d83PQUhCK8/RSE5j3zQ+FbLfabauhGEnGxEDm5tf9M
EbUJ2UdNF1x94LoYBB/Kn8zu+XZoMji5vrtPtn+SHoWKGcUPbpqpbUXEbx9EIota
WLVnAQOuxv8ig10FB84WBalFgEDJRm2eeHt6I3r+Q6n1rhdwIe6nb9fd3Qj5vxgH
zGs/qgBBhPAvJlSks5kZG+IGNTLBT2vSlegG/e+d1nwEh4doYTcRgw5wAU0D+vX/
geGJHxvK0HwmMzyzVUA3/CPc/3wD9qU5dE7vNom1UhJBCBY4MwiyW6UEJ/xko1gf
qvEe9Yl0L0vLOXyViKNRZAfBMU0hYfXPWjS+Jh3VO2/I6M7ybSPCZVBxXL0scgLe
mbwTy07GrGfcfIBRLx2q
=L/0y
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Feb 2014 07:35:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:27:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.